Elias Gamma Code (internal)

## Data Structures

class | bm::encoder
| Memory encoding. More...
class | bm::decoder_base
| Base class for all decoding functionality. More...
class | bm::decoder
| Class for decoding data from memory buffer. More...
class | bm::decoder_little_endian
| Class for decoding data from memory buffer. More...
class | bm::bit_out< TEncoder >
| Byte based writer for un-aligned bit streaming. More...
class | bm::bit_in< TDecoder >
| Byte based reader for un-aligned bit streaming. More...
class | bm::gamma_encoder< T, TBitIO >
| Functor for Elias Gamma encoding. More...
class | bm::gamma_decoder< T, TBitIO >
| Elias Gamma decoder. More...

## Typedefs

typedef decoder | bm::decoder_big_endian
| Class for decoding data from memory buffer.

## Detailed Description

Elias Gamma Encoder

## Typedef Documentation

## decoder_big_endian

typedef decoder bm::decoder_big_endian

Class for decoding data from memory buffer.

Properly handles aligment issues with integer data types. Converts data to big endian architecture (presumed it was encoded as little endian)

Definition at line 148 of file encoding.h.